<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MessageRefStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for message ref.
 * @subpackage Structs
 */
class MessageRefStructure extends MessageQualifierStructure
{
    /**
     * The _
     * @var \StructType\MessageQualifierStructure
     */
    public $_;
    /**
     * Constructor method for MessageRefStructure
     * @uses MessageRefStructure::set_()
     * @param \StructType\MessageQualifierStructure $_
     */
    public function __construct(\StructType\MessageQualifierStructure $_ = null)
    {
        $this
            ->set_($_);
    }
    /**
     * Get _ value
     * @return \StructType\MessageQualifierStructure|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param \StructType\MessageQualifierStructure $_
     * @return \StructType\MessageRefStructure
     */
    public function set_(\StructType\MessageQualifierStructure $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MessageRefStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
